
javax.net.debug=ssl
#logging.level.org.hibernate.type.descriptor.sql.BasicBinder = DEBUG
#logging.level.org.springframework.jdbc = INFO
logging.level.org.springframework.security = DEBUG
logging.level.org.springframework.security.oauth2=TRACE
logging.level.web=DEBUG

server.error.include-binding-errors=ALWAYS
server.error.include-message=ALWAYS

server.port=8443
security.require-ssl=true
server.ssl.key-store=classpath:spring_keystore.p12
server.ssl.key-store-password=storepass
server.ssl.keyStoreType=PKCS12
server.ssl.keyAlias=tomcat

spring.datasource.url=jdbc:mysql://tecreations.ca:3306/sitesec_dev
spring.datasource.username=sitesec_user
spring.datasource.password=eMZx06__xi9]O2q
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver

spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQLDialect
spring.jpa.hibernate.naming-strategy=org.hibernate.boot.model.naming.CamelCaseToUnderscoreNamingStrategy
spring.jpa.hibernate.naming.physical-strategy=org.hibernate.boot.model.naming.CamelCaseToUnderscoresNamingStrategy
#spring.jpa.hibernate.ddl-auto=create
#spring.jpa.hibernate.generate-ddl=false
spring.jpa.show-sql=true

spring.main.banner-mode=console 

spring.output.ansi.enabled=always

spring.security.oauth2.client.registration.google.client-id = 441746337014-pl5q4ackt615l0dclq76e1nd33m34iba.apps.googleusercontent.com
spring.security.oauth2.client.registration.google.client-secret = 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

spring.template.cache=false
spring.thymeleaf.cache=false

